Subject: Re: [PATCH v3] bpf: core: fix shift-out-of-bounds in ___bpf_prog_run

From: Greg KH <[email-masked]>
Date: Thu, 3 Jun 2021 06:43:28 +0200

On Wed, Jun 02, 2021 at 09:27:26PM +0000, Kurt Manucredo wrote:
> UBSAN: shift-out-of-bounds in kernel/bpf/core.c:1414:2
> shift exponent 248 is too large for 32-bit type 'unsigned int'

I'm sorry, but I still do not understand what this changelog text means.

Please be very descriptive about what you are doing and why you are
doing it.  All that is here is a message from a random tool :(

thanks,
greg k-h